summaryrefslogtreecommitdiffstats
path: root/development/perl-Class-Gomor
diff options
context:
space:
mode:
author Marco Bonetti <sid77@slackware.it>2010-05-13 00:57:58 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 00:57:58 +0200
commit0df2223739afb94232fe1c37ac2367213d6a38b6 (patch)
treeca78d15c4dd1b845841f2d67670465a15a46d6e2 /development/perl-Class-Gomor
parent532d48d5e494c5f707d70527ecb4b7824597eb4d (diff)
downloadslackbuilds-0df2223739afb94232fe1c37ac2367213d6a38b6.tar.gz
slackbuilds-0df2223739afb94232fe1c37ac2367213d6a38b6.tar.xz
development/perl-Class-Gomor: Added to 13.0 repository
Diffstat (limited to 'development/perl-Class-Gomor')
-rw-r--r--development/perl-Class-Gomor/README14
-rw-r--r--development/perl-Class-Gomor/perl-Class-Gomor.SlackBuild99
-rw-r--r--development/perl-Class-Gomor/perl-Class-Gomor.info10
-rw-r--r--development/perl-Class-Gomor/slack-desc19
4 files changed, 142 insertions, 0 deletions
diff --git a/development/perl-Class-Gomor/README b/development/perl-Class-Gomor/README
new file mode 100644
index 0000000000..ac25c4af7b
--- /dev/null
+++ b/development/perl-Class-Gomor/README
@@ -0,0 +1,14 @@
+Class::Gomor - another class and object builder
+
+This module is yet another class builder. This one adds parameter checking in
+new constructor, that is to check for attributes existence, and definedness.
+In order to validate parameters, the module needs to find attributes, and that
+is the reason for declaring attributes in global variables named @AS, @AA,
+@AO. They respectively state for Attributes Scalar, Attributes Array and
+Attributes Other. The last one is used to avoid autocreation of accessors,
+that is to let you declare your own ones.
+Attribute validation is performed by looking at classes hierarchy, by
+following @ISA tree inheritance.
+The loss in speed by validating all attributes is quite negligeable on a
+decent machine (Pentium IV, 2.4 GHz) with Perl 5.8.x. But if you want to avoid
+checking, you can do it.
diff --git a/development/perl-Class-Gomor/perl-Class-Gomor.SlackBuild b/development/perl-Class-Gomor/perl-Class-Gomor.SlackBuild
new file mode 100644
index 0000000000..9cc9135206
--- /dev/null
+++ b/development/perl-Class-Gomor/perl-Class-Gomor.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for perl-Class-Gomor
+
+# Copyright 2009-2010 Marco Bonetti <sid77@slackware.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-Class-Gomor
+VERSION=${VERSION:-1.02}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRC_PRGNAM=Class-Gomor
+DOCS="LICENSE LICENSE.Artistic README"
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRC_PRGNAM-$VERSION
+tar xvf $CWD/$SRC_PRGNAM-$VERSION.tar.gz
+cd $SRC_PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL INSTALLDIRS=perl
+make
+make test
+make install DESTDIR=$PKG
+
+# Move man pages
+mv $PKG/usr/share/man $PKG/usr/
+
+# Compress man pages
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Remove perllocal.pod and other special files that don't need to be installed
+( cd $PKG
+ # Remove 'special' files
+ find . -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+)
+
+# Remove empty directories
+find $PKG -depth -type d -empty -delete
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/perl-Class-Gomor/perl-Class-Gomor.info b/development/perl-Class-Gomor/perl-Class-Gomor.info
new file mode 100644
index 0000000000..7087dbd36b
--- /dev/null
+++ b/development/perl-Class-Gomor/perl-Class-Gomor.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Class-Gomor"
+VERSION="1.02"
+HOMEPAGE="http://search.cpan.org/dist/Class-Gomor/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/G/GO/GOMOR/Class-Gomor-1.02.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="287c3b3be72fcb4a4089fe232b8b1002"
+MD5SUM_x86_64=""
+MAINTAINER="Marco Bonetti"
+EMAIL="sid77@slackware.it"
+APPROVED="Erik Hanson"
diff --git a/development/perl-Class-Gomor/slack-desc b/development/perl-Class-Gomor/slack-desc
new file mode 100644
index 0000000000..d11e8b7eda
--- /dev/null
+++ b/development/perl-Class-Gomor/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+perl-Class-Gomor: perl-Class-Gomor (another class and object builder)
+perl-Class-Gomor:
+perl-Class-Gomor: Class::Gomor is yet another class builder. This one adds parameter
+perl-Class-Gomor: checking in new constructor, that is to check for attributes existence,
+perl-Class-Gomor: and definedness.
+perl-Class-Gomor:
+perl-Class-Gomor:
+perl-Class-Gomor:
+perl-Class-Gomor:
+perl-Class-Gomor:
+perl-Class-Gomor: